Page MenuHomePhabricator

"Pi" article on mobile en.wp throws a 503 fatal
Closed, ResolvedPublic

Description

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 21 2016, 10:08 PM
Aklapper renamed this task from Pi throws a 503 fatal to "Pi" article on mobile en.wp throws a 503 fatal.May 22 2016, 11:31 AM
Jdlrobson triaged this task as Unbreak Now! priority.May 23 2016, 4:26 PM
Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptMay 23 2016, 4:26 PM
Jdlrobson updated the task description. (Show Details)May 23 2016, 4:27 PM

Update core and MF to master, you'll find the issue happens in mobileaction=beta, but not in stable

Here's the exception:

2016-05-23 17:47:08 wiki fatal ERROR: [71f1a44c] PHP Fatal Error: Call to undefined method DOMText::getAttribute() {"exception_id":"71f1a44c"}
[Exception ErrorException] (/vagrant/mediawiki/extensions/MobileFrontend/includes/MobileFormatter.php:214) PHP Fatal Error: Call to undefined method DOMText::getAttribute()
  #0 /vagrant/mediawiki/extensions/MobileFrontend/includes/MobileFormatter.php(214): NO_FUNCTION_GIVEN()
  #1 /vagrant/mediawiki/extensions/MobileFrontend/includes/MobileFormatter.php(141): MobileFormatter->doRewriteReferencesForLazyLoading()
  #2 /vagrant/mediawiki/extensions/MobileFrontend/includes/MobileFrontend.body.php(71): MobileFormatter->filterContent(boolean, boolean, boolean)
  #3 /vagrant/mediawiki/extensions/MobileFrontend/includes/MobileFrontend.hooks.php(210): ExtMobileFrontend::DOMParse(OutputPage, string, boolean)
  #4 /vagrant/mediawiki/includes/Hooks.php(195): MobileFrontendHooks::onOutputPageBeforeHTML(OutputPage, string)
  #5 /vagrant/mediawiki/includes/OutputPage.php(1839): Hooks::run(string, array)
  #6 /vagrant/mediawiki/includes/OutputPage.php(1857): OutputPage->addParserOutputText(ParserOutput)
  #7 /vagrant/mediawiki/includes/page/Article.php(607): OutputPage->addParserOutput(ParserOutput)
  #8 /vagrant/mediawiki/includes/actions/ViewAction.php(44): Article->view()
  #9 /vagrant/mediawiki/includes/MediaWiki.php(504): ViewAction->show()
  #10 /vagrant/mediawiki/includes/MediaWiki.php(288): MediaWiki->performAction(Article, Title)
  #11 /vagrant/mediawiki/includes/MediaWiki.php(746): MediaWiki->performRequest()
  #12 /vagrant/mediawiki/includes/MediaWiki.php(520): MediaWiki->main()
  #13 /vagrant/mediawiki/index.php(43): MediaWiki->run()
  #14 /var/www/w/index.php(5): include(string)
  #15 {main}

Not sure what's changed under our feet...

Change 290286 had a related patch set uploaded (by Phuedx):
Add test case for T135923

https://gerrit.wikimedia.org/r/290286

Change 290411 had a related patch set uploaded (by Phuedx):
Use 1 XPath query rather than N 1 queries

https://gerrit.wikimedia.org/r/290411

phuedx added a subscriber: phuedx.May 24 2016, 9:04 AM

@Jdlrobson: Thanks for adding the additional test case. See 290411: Use 1 XPath query rather than N+1 queries for an alternative solution.

Change 290286 merged by jenkins-bot:
Avoid fatals in reference edge cases

https://gerrit.wikimedia.org/r/290286

Change 290411 merged by jenkins-bot:
Use 1 XPath query rather than N 1 queries

https://gerrit.wikimedia.org/r/290411

Change 290587 had a related patch set uploaded (by Jdlrobson):
Avoid fatals in reference edge cases

https://gerrit.wikimedia.org/r/290587

In SWAT window.

Change 290598 had a related patch set uploaded (by Dereckson):
Use 1 XPath query rather than N 1 queries

https://gerrit.wikimedia.org/r/290598

Change 290587 merged by jenkins-bot:
Avoid fatals in reference edge cases

https://gerrit.wikimedia.org/r/290587

Change 290598 merged by Dereckson:
Use 1 XPath query rather than N 1 queries

https://gerrit.wikimedia.org/r/290598

Mentioned in SAL [2016-05-24T23:58:21Z] <dereckson@tin> Synchronized php-1.28.0-wmf.2/extensions/MobileFrontend/includes/MobileFormatter.php: "Pi" article on mobile en.wp throws a 503 fatal (T135923, [[Gerrit:290587]] + [[Gerrit:290598]]) (duration: 00m 24s)

Jdlrobson closed this task as Resolved.May 24 2016, 11:59 PM

verified in production

TerraCodes updated the task description. (Show Details)May 25 2016, 12:51 AM